* {
    box-sizing: border-box;

}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #262626;
    z-index: 9999;
    transition: transform 1s ease;
    transform: translateY(0);
}

#overlay.slide-up {
    transform: translateY(-100%);
}



html {
    font-size: 18px;
    scroll-behavior: smooth;

}

body {
    background: #191919;
    overflow-x: hidden; /* Corrected property name */
    cursor: url('./Resources/images/cursor.svg'), auto;
    display: grid;
    grid-template-rows: repeat(auto-fill, auto);
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
    padding: 0 15%;
    margin: 0;
    justify-content: center;
}

.circle {
    position: fixed;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background-color: rgba(239, 232, 218, 0);
    pointer-events: none;
    z-index: 9999;
    transition: all 0.1s ease;
    transform: translate(-1%, -1%);
      /* mix-blend-mode: screen;
    

 filter: blur(10px); */

}

.circle-clickable {
   /* background-color: rgba(189, 173, 130, 0.3);
    transform: scale(1.5);
    z-index: 9999;*/
    pointer-events: none;

    transition: all 0.1s ease;
}


 

/* Nav */

/* Burger menu icon styles */
.burger-icon {
    display: none; /* Hidden by default */
    flex-direction: column;
    justify-content: space-around;
    width: 30px;
    height: 25px;
    cursor: pointer;
}

.burger-icon span {
    display: block;
    width: 100%;
    height: 3px;
    background-color: #DAD7CF; /* Adjust to match your design */
    border-radius: 2px;
    transition: 0.5s;
}

/* Active state for the burger icon when clicked */
.burger-icon.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 6px);
}

.burger-icon.active span:nth-child(2) {
    opacity: 0;
}

.burger-icon.active span:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
}

nav {
    grid-column: 1 / -1;
    width: 100%;
    left: 0;
    right: 0;
    padding: 1rem 15%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    z-index: 1000;
    background-color: #191919;
}

.logo {
    width: 3.5rem;
    height: auto;
    margin: 0;
}

.botonesnav {
    display: flex;
    align-items: center;
    margin: 0;

}

.nav-links {
    gap: 60px;


}


nav ul {
    display: flex; /* Set ul as a flex container */
    font-family: 'Bricolage Grotesque', sans-serif;
    font-size: 0.9rem;
    list-style: none;
    color: #F0EBE1;
    justify-content: flex-end; /* Align items to the end */
    padding: 0; /* Reset default padding */
    flex-grow: 1; /* Allow ul to grow and take up available space */


}

li {
    padding: 0 0 0 1.8rem;
}

.botonesidiomas {
    display: inline-flex;
    justify-content: flex-end; /* Align items to the end */
    align-items: center;

}

.botonidioma {
    font-weight: 400;
    padding: 0;
}

.botonidioma:hover {
    color: #7B7B7B;
    font-weight: 600;
}


#idiomaactual {
    font-weight: 900;
}

.separator {
    font-weight: 400;
    padding: 0 10px 4px 10px;
}

li:hover {
    animation-duration: 1s;
    color:#7B7B7B;
    font-weight: 500;

}
 
li:active {
    color:#F0EBE1;
    text-decoration: none;
}

a {
    text-decoration: none;
    color: #F0EBE1;
    transition: 1s;


}

a:visited {
    color: #F0EBE1;
    text-decoration: none;
}

a:active {
    color:#F0EBE1;
    text-decoration: none;
}


/* When on a mobile screen, hide the links */
@media screen and (max-width: 768px) {
    nav {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 10px;
        width: 100%;
        padding: 5%;
    }

    .logo {
        display: block;
        padding: 10px;
        margin: 0;
    }

    /* Align the logo and burger icon inline */
    .burger-icon {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
        width: 30px;
        height: 25px;
        cursor: pointer;
        flex: 0 0 auto; /* Ensure the burger icon does not shrink or grow */
        z-index: 1500;
        margin-right: 10px;
    }

    /* Hide nav links initially */
    .nav-links {
        display: none;
        flex-direction: column;
        position: fixed;
        top: 0;
        left: -100%;
        width: 100%;
        height: 100vh;
        background-color: #262626;
        padding-top: 100px;
        padding-left: 50px;
        transition: left 1s ease;
        z-index: 1000;
        justify-content: flex-start;
        box-shadow: rgba(38, 38, 38, 0.1) 0px 0px 10px;
    
    }

    .nav-links.show {
        display: flex;
        left: 0;

    }

    .nav-links li {
        margin: 15px 0;
        padding: 0;
    }

    .botonesnav {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
    }

    .botonesidiomas {
        display: inline-flex;
        align-items: space-between;
        justify-content: flex-start;

    }
}




/*Animations*/

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes floatAnimation {
    0% {
        transform: translateY(0px);
    }
    50% {
        transform: translateY(-5px);
    }
    100% {
        transform: translateY(0px);
    }
}

@keyframes scaleIn {
    from {
        transform: scale(0.95);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}



@keyframes entradaIzq {
    from {
        opacity: 0;
        transform: translateX(-80px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes entradaDer {
    from {
        opacity: 0;
        transform: translateX(50px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes slideup {
    from {
        opacity: 0;
        transform: translateY(80px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes animate-it {
    from { transform: scale(0.8); }
  to { transform: scale(1); }
}

@keyframes move-it {
    from {
        transform: translateX(0px);
      }
    to {
        /* adjust the value to control how much the text moves */
        transform: translateX(10px);
      }
}

@keyframes highlight-me {
    from {
        background-size: 0% 100%;
      }
      to {
        background-size: 100% 100%;
      }
    }


/* General Styling */


h1 {
    font-family: 'Bricolage Grotesque', sans-serif;
    font-weight: 300;
    font-size: 4.2rem;
    line-height: 90%;
    margin-block-start: 0%;
    margin-block-end: 0%;

    animation: slideup 1s;
}



.portafoliotitulos {
    font-family: 'Bricolage Grotesque', sans-serif;
    font-weight: 600;
    font-style: normal;
    font-size: 4rem;
    line-height: 4.2rem;
    margin-block-start: 0;
    margin-block-end: 1rem;
}


h2 {

    font-family: 'Bricolage Grotesque', sans-serif;
    font-size: 2.78rem;
    font-weight: 400;   
    line-height: 90%;
    margin-block-start: 0%;
    margin-block-end: 0%;
 
}

h3 {
    font-family: 'Bricolage Grotesque', sans-serif;
    font-size: 1.67rem;
    line-height: 100%;
    font-weight: 300;
    margin-block-start: 0%;
    margin-block-end: 0%;
 
}

h4 {
    font-family: 'Roboto';
    font-size: 1.2rem;
    font-weight: 400;
 
}


p {
    font-family: 'Roboto';
    font-size: 1rem;
    font-weight: 300;
}


.botonflecha {
    height: 70px;
    width: 70px;
}

button {
    padding: 1rem 1.5rem;
    background-color: #DAD7CF;
    color: #262626;
    font-family: 'Roboto';
    font-weight: 300;
    font-style: normal;
    font-size: 0.9rem;
    border-radius: 40px;
    border: 1px solid #262626;
    margin-top: 1rem;

    transition-duration: 1s;
    box-sizing: border-box;
}

#primary {
    background-color: #262626;
    color: #fdfaf4;
}

#primary:hover {
    background-color: #000000;
    color: #fdfaf4;

    animation-name: highlight-me;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
    background: linear-gradient(to right, #000000 0%, #000000 100%);
    background-repeat: no-repeat;
    background-size: 0% 100%;
}

button:hover {
    background-color: #fdfaf4;
    color: #fdfaf4;


    animation-name: highlight-me;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
    background: linear-gradient(to right, #262626 0%, #262626 100%);
    background-repeat: no-repeat;
    background-size: 0% 100%;
}

.line {
    border-bottom: 1px solid #262626;
    width: 30%;
}

.divider {
    height: 10rem;
}

/* Header */

header {
    grid-column: 1 / 9;
    grid-row: auto;
    background-color: #F0EBE1;
    padding: 50px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    margin-top: 150px;

    animation: scaleIn 1s ease-out;
}

.homeright {
    grid-column: 9 / 13;
    grid-row: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 150px;
    gap: 30px;
}

.textsheader {
    animation: slideup 1s;
}

.title {
    width: 100%;
    display: flex;
    margin-bottom: 30px;
    transition: color 0.3s ease, font-size 0.3s ease;
}

.title h1 {
    animation: floatAnimation 3s ease-in-out infinite;
}

.bienvenida {
    max-width: 80%;
    display: flex;
    flex-wrap: wrap;
    margin-top: 0;
    flex-direction: column; /* Ensure vertical stacking of children */
    align-items: left; 

}

.ctas {
    margin-top: 20px;
    display: inline-flex;
}

.ctas button {
    margin-right: 20px;

}


.socialhome {
    background-color: #DAD7CF;
    border-radius: 10px;
    padding: 50px;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;

    animation: entradaDer 1s ease-out 0.3s both;
    transition: transform 0.3s ease;
}



.socials {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    margin-top: 20px;

}

.socials a {
    font-family: 'Roboto';
    font-size: 0.85rem;
    color: #262626;
    line-height: 1.2rem;
}

.social a:hover {
    transform: translateX(10px);
    transition: transform 0.3s ease;
}

.socialhome:hover, .conoceme:hover {
    transform: translateY(-5px);
}

.conoceme {
    display: flex;
    flex-direction: column;
    background-color: #252525;
    border-radius: 10px;
    padding: 50px;
    align-items: left;
    justify-content: space-between;
    color: #fdfaf4;
    height: 100%;
    width: 100%;

    animation: entradaDer 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}

.conoceme img {
    margin-top: 30px;

    transition: transform 0.3s ease;
}

.conoceme:hover {
    transform: translateY(-10px);
}

.conoceme img:hover {
    transform: scale(1.05);
}

/* Projects */



.numeros {
    font-weight: 100;
}

.numflecha {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    margin-bottom: 25px;
}

.numflecha img {
    transition: transform 0.3s ease;
}

.numflecha img:hover {
    transform: scale(1.05);
}

.projects1 {
    display: flex;
    color: #F0EBE1;
    flex-direction: column;

    grid-column: 1 / 6;
    grid-row: auto;
    background-color: #262626;
    padding: 50px; 
    border-radius: 10px;

    transition: transform 0.3s ease;

    animation: fadeIn 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}

.projects2 {
    grid-column: 1 / 8;
    background-color: #545454;
    padding: 50px;
    border-radius: 10px;
    color: #F0EBE1;

    animation: fadeIn 1s ease-out 0.8s both;
    transition: transform 0.3s ease;
}

.projects3 {
    grid-column: 8 / 13;
    background-color: #F0EBE1;
    padding: 50px;
    border-radius: 10px;
    color: #252525;

    animation: fadeIn 1s ease-out 1s both;
    transition: transform 0.3s ease;

}

.projects1:hover, .projects2:hover, .projects3:hover {
    transform: translateY(-10px);
}

.video {
    grid-column: 6/-1; /* Changed from 6/13 to 6/-1 */
    grid-row: 2/3;
    border-radius: 10px;
    overflow: hidden;
    height: 500px;
    width: 100%;


    animation: entradaDer 1s ease-out 0.3s both;
    transition: transform 0.3s ease;

}

.video video {
    width: 100%;    
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}




/* Contacto */
.hablemos {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: #F4EFE6;
    border-radius: 10px;
    padding: 50px;
    text-align: center;

    grid-column: 1/13;
    grid-row: auto;
    gap: 30px;
}

/* Clientes */

.clients {
    grid-column: 1/13;
    grid-row: auto;
    padding: 0 20px;

}

.clientslogos {
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
}

.clientslogos img {
    width: 140px;
}



/* Footer */

footer {
    grid-column: 1/13;
    grid-row: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-top: 50px;
    padding: 20px 0;


}

.socialfooter {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.socialfooter a {
    padding-right: 1.5rem;
}

.socialfooter svg {
    width: 24px;
    height: 24px;
    fill: #F0EBE1;
}

.socialfooter img {
    width: 24px;
    height: 24px;
    fill: #F0EBE1;
}

.socialfooter img:hover {
    transform: scale(1.1);
    transition: all 0.3s ease;
}

.footertext ul{
    display: flex; /* Set ul as a flex container */
    flex-wrap: wrap;
    font-family: 'Roboto';
    font-size: 0.9rem;
    list-style: none;
    color: #F0EBE1;
    justify-content: flex-end; /* Align items to the end */
    padding: 0; /* Reset default padding */
    flex-grow: 1; /* Allow ul to grow and take up available space */
}




/*Legal Notice */

.legal {
    grid-column: 1/13;
    grid-row: auto;
    align-items: center;

    background-color: #DAD7CF;
    border-radius: 10px;
    padding: 50px;

}

.titulolegal {
    grid-column: 1/10;
    grid-row: auto;
    margin-top: 150px;
    border-radius: 10px;


    color: #DAD7CF;
}

    


/* Responsive adjustments */
@media (max-width: 1200px) {

    body {
        grid-template-columns: repeat(12, 1fr);
        grid-template-rows: repeat(auto-fill, auto);
    }
    header {
        grid-column: 1 / 13;
        grid-row: 1/3;
    }

    .title {
        margin-bottom: 15px;
    }

    .homeright {
        grid-column: 1/13;
        grid-row: auto;
        display: flex;
        flex-direction: row;
        margin-top: 0;
    }

    .socialhome {
        width: 50%;
    }

    .conoceme {
        width: 50%;
    }

    .projects1 {
        grid-column: 1/13;
        grid-row: auto;
    }

    .projects2 {
        grid-column: 1/13;
        grid-row: auto;
    }

    .projects3 {
        grid-column: 1/13;
        grid-row: auto;
    }

    .video {
        grid-column: 1/13;
        grid-row: auto;
    }

    .hablemos {
        grid-column: 1/13;
        grid-row: auto;
    }

    .clients {
        grid-column: 1/13;
        grid-row: auto;
    }

    footer {
        grid-column:  1/13;
        grid-row: auto;
    }
}

@media (max-width: 900px) {
    footer {
        margin: 20% 5% 1% 5%;
    }

    body {
        padding: 0 10%;
    }

    header h1 {
        font-size: 3rem;
    }
}

@media (max-width: 480px) {

    html {
        font-size: 15px;
    }

    body {
        padding: 0 5%;
        gap:15px;

        grid-template-rows: repeat(auto-fill, auto);


    }

    header {
        padding: 40px 20px;
    }

    header h1 {
        font-size: 2.5rem;
    }

    .bienvenida {
        max-width: 100%;
    }

    .homeright {
        gap: 15px;
    }

    .conoceme {
        flex-direction: column;
        justify-content: center;

        padding: 20px;
    }

    .socialhome {
        padding: 20px;
        flex-direction: column;
        justify-content: center;
    }

    .conoceme img {
        margin-top: 20px;
    }

    .projects1 {
        padding: 20px;
    }

    .projects2 {
        padding: 20px;
    }

    .projects3 {
        padding: 20px;
    }

    .clientslogos img {
        width: 100px;
    }
    

        footer {
            display: flex;
            justify-content: center; /* Center-align the entire footer */
            align-items: center;
            flex-direction: column; /* Align items vertically on small screens */
        }
    
        .socialfooter {
            justify-content: center; /* Center-align the social icons */
            width: 100%;
            margin-bottom: 2rem; /* Add space between social icons and text on small screens */
        }
    
        .footertext ul {
            text-align: center; /* Center-align text */
            justify-content: center; /* Center-align the text list */
        }

        .socialfooter a { 
            padding: 5%;
    }

        footer li {
            padding: 2%;
        }
}


/*Servicios Gallery*/

.titleServicios {
    grid-column: 1/7;
    grid-row: auto;
    border-radius: 10px;
    background-color: #252525;
    color: #DAD7CF;

    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 50px;

    margin-top: 150px;
}


.projectContainer1, .projectContainer2, .projectContainer3, .projectContainer4, .projectContainer5, .projectContainer6, .projectContainer7, .projectContainer8 {
    animation: fadeIn 1s ease-out 0.6s both;
    transition: transform 0.3s ease;

    position: relative;
    text-align: center;

}

.top-right {
    position: absolute;
    top: 20px;
    right: 20px;
    color: white;
    background-color: #252525;
    border-radius: 30px;
    padding: 15px 30px;

    font-family: 'Bricolage Grotesque', sans-serif;
    font-size: 0.8rem;
  }

.projectContainer1 {

    grid-column: 7/13;
    margin-top: 150px;
    overflow: hidden;
    border-radius: 10px;

}

.projectContainer2 {

    grid-column: 1/5;
    overflow: hidden;
    grid-row: auto;
    border-radius: 10px;

}

.projectContainer3 {

    grid-column: 5/9;
    overflow: hidden;
    grid-row: auto;
    border-radius: 10px;

}

.projectContainer4 {
    grid-column: 9/13;
    overflow: hidden;
    grid-row: auto;
    border-radius: 10px;
}

.projectContainer5 {
    grid-column: 1/7;
    overflow: hidden;
    grid-row: auto;
    border-radius: 10px;
}

.projectContainer6 {
    grid-column: 7/13;
    overflow: hidden;
    grid-row: auto;
    border-radius: 10px;
}

.projectContainer7 {
    grid-column: 1/7;
    overflow: hidden;
    grid-row: 2/4;
    border-radius: 10px;
}


.zoom-img {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 5px;
}

.zoom-img video {
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: all .3s ease;
    border-radius: 10px;
}

  
  .zoom-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all .3s ease;

    border-radius: 5px;
  }
  

  
  .zoom-img img:hover {
    transform: scale(1.2);
  }


.projectContainer a:hover {
    border-color: #262626;
}

.vercategorias {
    grid-column: 1/7;
    grid-row: auto;

    display: flex;
    align-items: center;

    background-color: #262626;
    color: #DAD7CF;
    border-radius: 10px;
    padding: 50px;
}

.vercategoriadif {
    grid-column: 7/13;
    grid-row: 2/3;
    padding: 50px;
    border-radius: 10px;

    display: flex;
    align-items: center;

    background-color: #DAD7CF;
    color: #262626;
}

.vercatbotones1 {
    grid-column: 7/10;
    grid-row: auto;

    border-radius: 10px;
    background-color: #545454;
    padding: 50px;
    color: #DAD7CF;

    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.vercatbotones2 {
    grid-column: 10/13;
    grid-row: auto;

    border-radius: 10px;
    background-color: #DAD7CF;
    padding: 50px;

    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}



.vercatbotones1 h3, .vercatbotones2 h3{
    margin-bottom: 30px;
}

.vercatbotones1 img, .vercatbotones2 img {
    transition: all .3s ease;
}

.vercatbotones1 img:hover, .vercatbotones2 img:hover {
    transform: scale(1.2);
}

@media (max-width: 1200px) {
    .vercatbotones1 h3, .vercatbotones2 h3{
        font-size: 1.2rem;
    }

    .vercatbotones1,  .vercatbotones2 {
        padding: 25px;
    }
}

@media (max-width: 900px) {



    .zoom-img {
        width: 100%;
        height: 400px;
        overflow: hidden;
         
        border-radius: 5px;

      }

    .zoom-img img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: all .3s ease;

        border-radius: 5px;
      }

    .titleServicios {
        grid-column: 1/13;
        grid-row: auto;
        padding: 30px 15px;
    }

    .titleServicios h1 {
        font-size: 3rem;
        line-height: 3rem;
    }

    .projectContainer1, .projectContainer2, .projectContainer3, .projectContainer4, .projectContainer5, .projectContainer6, .projectContainer7 {
        grid-column: 1/13;
        grid-row: auto;
        margin-top: 0;
    }

    .vercategorias {
        grid-column: 1/13;
        grid-row: auto;
        padding: 25px;

        display: flex;
        justify-content: center;
    }

    .vercategoriadif {
        grid-column: 1/13;
        grid-row: auto;
        padding: 25px;
    }

    .vercatbotones1 {
        grid-column: 1/7;
        grid-row: auto;
        padding: 25px;
    }

    .vercatbotones2 {
        grid-column: 7/13;
        grid-row: auto;
        padding: 25px;
    }
}







/*Proyectos*/

.introProyecto {
    grid-column: 1 / 5;
    grid-row: auto;
    margin-top: 150px;

    display: flex;
    flex-direction: column;
    gap: 30px;


    animation: fadeIn 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}

.introtitulo {
    background-color: #545454;
    border-radius: 10px;
    padding: 50px;
    color: #F0EBE1;

    display: flex;
    flex-direction: column;

    animation: entradaIzq 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}

.descriptivo {
    padding: 50px;
    background-color: #262626;
    color: #DAD7CF;

    display: flex;
    flex-wrap: wrap;
    align-items: center;

    border-radius: 10px;

    animation: fadeIn 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}

.introTexto {
    background-color: #DAD7CF;
    border-radius: 10px;
    padding: 50px;

    height: 100%;
    display: flex;
    align-items: center;
}

.introimage {
    grid-column: 5/13;
    grid-row: auto;
    overflow: hidden;

    margin-top: 150px;

    animation:  entradaDer 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}

.imagenesproyecto {

    grid-column: 1/13;
    grid-row: auto;
    overflow: hidden;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(500px, 1fr)); /* Responsive grid for images */
    gap: 30px; /* Adjust the gap between images */
    overflow: hidden;
    animation: animate-it 0.75s ease-in;
    height: auto;
}

.introimage video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    transition: all .3s ease;
}

.introimage img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    transition: all .3s ease;
}

.imagenesproyecto img {
    width: 100%; /* Ensure images use full width of grid item */
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.volver {
    grid-column: 1/13;
    grid-row: auto;
    display: flex;
    justify-content: space-between;
    gap: 30px;

}

.botonvolver {
    display: flex;  
    flex-direction: row;
    gap: 30px;
    align-items: center;
}

@media (max-width: 1200px) {
.introProyecto {
    grid-column: 1/13;
    grid-row: auto;
}

.introimage {
    grid-column: 1/13;
    grid-row: auto;
    overflow: hidden;

    margin-top: 0;
}
}


@media (max-width: 900px) {
    .textobotonvolver {
        display: none;
    }

    .imagenesproyecto {
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); /* Responsive grid for images */
    }
}




/*About*/

.introabout {
    margin-top: 150px;
    grid-column: 1 / 13;
    grid-row: auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: repeat(1, 500px);
    gap: 30px;
}

.introtext {
    padding: 50px;
    grid-column: 2 / 3;
    background-color: #F0EBE1;
    border-radius: 10px;

    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

.fotoabout {
    grid-column: 1 / 2;
    height:500px;
    overflow: hidden;
    border-radius: 10px;

    animation: animate-it 0.75s ease-in;
}

.cv {
    grid-column: 1 /  13;
    grid-row: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 30px;
}


.introhabilidades {
    padding: 50px;
    background-color: #DAD7CF;
    border-radius: 10px;
    height: 100%;

    animation:  entradaIzq 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}

.introservicios {
    padding: 50px;
    background-color: #545454;
    border-radius: 10px;
    height: 100%;
    color: #F0EBE1;
    border-color: #F0EBE1;

    animation:  entradaDer 1s ease-out 0.6s both;
    transition: transform 0.3s ease;
}



.fotoabout img {
    width: 100%;
    height: 100%;
    object-fit: cover;

    border-radius: 10px;
}

.skills {
    margin-top: 30px;
}

.skills li {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 0.8rem;
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: space-between;


    padding: 15px 20px;
    margin-right: 10px;
    margin-bottom: 15px;
    border: #262626 1px solid;
    border-radius: 25px;
}

.skills2 li {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 0.8rem;
    display: inline-flex;
    flex-wrap: wrap;
    justify-content: space-between;


    padding: 15px 20px;
    margin-right: 10px;
    margin-bottom: 15px;
    border: #F0EBE1 1px solid;
    border-radius: 25px;
}


.cv ul {
    list-style-type: none;
    padding-left: 0px;
}

.cv li:hover {
    color: #262626;
}

@media (max-width: 1200px) {
    .portafoliotitulos {
        font-size: 2.6rem;
        line-height: 2.7rem;
        
        transition: 1s;
    }

    .fotoabout {
        grid-column: 1/13;
        grid-row: auto;
    }

    .introtext {
        grid-column: 1/13;
        grid-row: auto;
    }

    .introhabilidades {
        grid-column: 1/13;
        grid-row: auto;
    }

    .introservicios {
        grid-column: 1/13;
        grid-row: auto;
    }

    .cv {
        flex-direction: column;
    }



} 

@media (max-width: 900px) {

    
    .circle {
        display: none;
    }
}


